---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/de-DE/api-reference

 Release :

    - australia

ft:locale :

    - de-DE

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Interaction Management API

# Interaction Management API {#ariaid-title1}

* Freigeben Version: Australia
* 
* Aktualisiert 12. März 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 6 Minuten Lesedauer

The Interaction Management API provides endpoints to create
interactions.
This class requires the Interaction Logging, Routing, and Queueing plugin
(com.glide.interaction).

## Interaction - POST /now/interaction {#ariaid-title2}

Inserts or updates a record in the interaction table.

### URL format {#interaction-POST__section_msq_nfz_cmb}

Versioned URL:
/api/now/{api_version}/interaction

Default URL:
/api/now/interaction  
Hinweis:  
Available versions are specified in the [REST API Explorer](https://servicenow-prod.fluidtopics.net/urJGeqQ4zU~Vfw53IpWUIw "In this tutorial you will use the REST API Explorer to test the ServiceNow REST APIs."). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://servicenow-prod.fluidtopics.net/eAgQ546WEOagLzEOTr_eqQ "The scripted REST API feature allows application developers to build custom web service APIs.").

### Supported request parameters

{#interaction-POST__entry__2}{#interaction-POST__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Tabelle : 1. Path parameters]

{#interaction-POST__entry__6}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 2. Query parameters]

{#interaction-POST__entry__10}

| Element | Description |
|-|-|
| channel | Required. Sys_id for the interaction connector you want to create an interaction for. Data type: String |
| context | A Map or a table/sys_id pair. By default, interactions have a record in the interaction_json_blob table that stores context data as a JSON object. You can point an interaction to a different record for context. Use context or context_table/context_id to define the context for an interaction. Data type: String |
| context_id | Document ID for a record you want to use to store context. The default is a new record in the insteraction_json_blob table. If you define the context ID, you also need to define the table. Data type: String |
| context_table | Context table you want to use to store interaction context for. The default is interaction_json_blob. If you define the context table, you also need to define the context ID. Data type: String |
| channel_metadata | Map or a table/sys_id pair. Channel metadata contains information that a connector can use to communicate through the associated channel. Data type: String |
| channel_metadata_id | Document ID for a record you want to use to store channel metadata. The default is a new record in the live_group_profile table. If you define the channel metadata ID, you also need to define the table. Data type: String |
| channel_metadata_table | Table you want to use to store channel metadata. The default is the live_group_profile table. If you define the channel metadata table, you also need to define the channel metadata ID. Data type: String |
| queue | Sys_id for the queue you want to associate with the interaction. Data type: String |
[Tabelle : 3. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#interaction-POST__entry__28}{#interaction-POST__accept-RESTAPI}{#interaction-POST__content_type-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
| Content-Type | Data format of the request body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 4. Request headers]

{#interaction-POST__entry__34}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#interaction-POST__entry__38}{#interaction-POST__entry-401-status-code}{#interaction-POST__entry-500-status-code}

| Status code | Description |
|-|-|
| 201 | Indicates the query ran successfully. |
| 400 | Indicates that one or more mandatory parameters were missing from the request. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Tabelle : 6. Status codes]

### Response body parameters (JSON or XML)

{#interaction-POST__table_bsj_y3z_cmb__entry__2}

| Element | Description |
|-|-|
| assigned_to | The sys_id of the user the interaction is assigned to. Data type: String |
| channelMetadataDocument | The sys_id of the channel metadata document associated with the interaction. Data type: String |
| channelMetadataTable | The table name of the channel metadata table associated with the interaction. Data type: String |
| channel_metadata | Any channel metadata included for the interaction. Data type: String |
| closed_by | The sys_id of the user who closed the interaction. Data type: String |
| contextDocument | The sys_id for the context document associated with the interaction. Data type: String |
| contextTable | The name of the table associated with the interaction. Data type: String |
| number | The number of the new interaction. Data type: String |
| opened_for | The sys_id of the user who the interaction was opened for. Data type: String |
| queue | The sys_id for the queue you create the interaction for. Data type: String |
| state | The state the interaction is in. If you assign a queue, the state automatically changes to Queued, otherwise the default is New. Data type: String |
| sys_id | The sys_id of the interaction. Data type: String |
[ ]

{#interaction-POST__table_bsj_y3z_cmb}  

### Sample cURL request

    curl "http://instance.servicenow.com/api/now/interaction" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{\"channel\":\"28a59893873103002ae97e2526cb0b5d\",\"queue\":\"f3a50867b30303002186a72256a8dcb7\"}" \
    --user "username":"password"

    {
      "result": {
        "channel": "28a59893873103002ae97e2526cb0b5d",
        "context": {
          "present": true
        },
        "queue": "f3a50867b30303002186a72256a8dcb7",
        "state": "queued",
        "number": "IMS0000075",
        "contextDocument": "1863a6f0d9471300964f387107a8a36d",
        "contextTable": "interaction_json_blob",
        "channelMetadataDocument": "9463a6f0d9471300964f387107a8a36c",
        "channelMetadataTable": "live_group_profile",
        "channel_metadata": {
          "present": true
        },
        "sys_id": "dc63a6f0d9471300964f387107a8a36b",
        "assigned_to": "",
        "closed_by": "",
        "opened_for": ""
      }
    }

## Interaction - POST /now/interaction/{interaction_id}/close {#ariaid-title3}

Changes the state of an interaction to closed or closed complete.

### URL format {#interaction-POST-close__section_qhp_23z_cmb}

Versioned URL:
/api/now/{api_version}interaction/{interaction_id}/close

Default URL:
/api/now/interaction/{interaction_id}/close  
Hinweis:  
Available versions are specified in the [REST API Explorer](https://servicenow-prod.fluidtopics.net/urJGeqQ4zU~Vfw53IpWUIw "In this tutorial you will use the REST API Explorer to test the ServiceNow REST APIs."). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://servicenow-prod.fluidtopics.net/eAgQ546WEOagLzEOTr_eqQ "The scripted REST API feature allows application developers to build custom web service APIs.").

### Supported request parameters

{#interaction-POST-close__entry__2}{#interaction-POST-close__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| interaction_id | Sys_id for the interaction you want to close. Data type: String |
[Tabelle : 7. Path parameters]

{#interaction-POST-close__entry__8}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 8. Query parameters]

{#interaction-POST-close__entry__12}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 9. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#interaction-POST-close__entry__16}{#interaction-POST-close__accept-RESTAPI}{#interaction-POST-close__content_type-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
| Content-Type | Data format of the request body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 10. Request headers]

{#interaction-POST-close__entry__22}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 11. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#interaction-POST-close__entry__26}{#interaction-POST-close__entry-200-status-code}{#interaction-POST-close__entry-401-status-code}{#interaction-POST-close__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Tabelle : 12. Status codes]

### Response body parameters (JSON or XML)

{#interaction-POST-close__table_ykz_y3z_cmb__entry__2}

| Element | Description |
|-|-|
| assigned_to | The sys_id of the user the interaction is assigned to. Data type: String |
| channelMetadataDocument | The sys_id of the channel metadata document associated with the interaction. Data type: String |
| channelMetadataTable | The table name of the channel metadata table associated with the interaction. Data type: String |
| channel_metadata | Any channel metadata included for the interaction. Data type: String |
| closed_by | The sys_id of the user who closed the interaction. Data type: String |
| contextDocument | The sys_id for the context document associated with the interaction. Data type: String |
| contextTable | The name of the table associated with the interaction. Data type: String |
| number | The number of the new interaction. Data type: String |
| opened_for | The sys_id of the user who the interaction was opened for. Data type: String |
| queue | The sys_id for the queue you create the interaction for. Data type: String |
| state | The state the interaction is in. If you assign a queue, the state automatically changes to Queued, otherwise the default is New. Data type: String |
| sys_id | The sys_id of the interaction. Data type: String |
[ ]

{#interaction-POST-close__table_ykz_y3z_cmb}  

### Sample cURL request

    curl "http://instance.servicenow.com/api/now/interaction/b243cde4208f1700964f959e0488dee8/close" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --user "username":"password"

    {
      "result": {
        "channel": "28a59893873103002ae97e2526cb0b5d",
        "context": {
          "present": true
        },
        "queue": "f3a50867b30303002186a72256a8dcb7",
        "state": "closed_complete",
        "number": "IMS0000060",
        "contextDocument": "3a43cde4208f1700964f959e0488dee7",
        "contextTable": "interaction_json_blob",
        "channelMetadataDocument": "fa43cde4208f1700964f959e0488dee8",
        "channelMetadataTable": "live_group_profile",
        "channel_metadata": {
          "present": true
        },
        "sys_id": "b243cde4208f1700964f959e0488dee8",
        "assigned_to": "",
        "closed_by": "6816f79cc0a8016401c5a33be04be441",
        "opened_for": "46d44a23a9fe19810012d100cca80666"
      }
    }


